package com.boppo.boppo_easy_permissions;

import android.content.Context;
import android.content.Intent;
import android.util.Log;

final class AppSettingsManager {

    void openAppSettings(Context context) {
        if (context == null) {
            Log.d("Context", "Context cannot be null.");
            return;
        }

        try {
            Intent settingsIntent = new Intent();
            settingsIntent.setAction(android.provider.Settings.ACTION_APPLICATION_DETAILS_SETTINGS);
            settingsIntent.addCategory(Intent.CATEGORY_DEFAULT);
            settingsIntent.setData(android.net.Uri.parse("package:" + context.getPackageName()));
            settingsIntent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
            settingsIntent.addFlags(Intent.FLAG_ACTIVITY_NO_HISTORY);
            settingsIntent.addFlags(Intent.FLAG_ACTIVITY_EXCLUDE_FROM_RECENTS);

            context.startActivity(settingsIntent);

        } catch (Exception ex) {
            Log.d("Intent Exception", "Unable to open settings.");
        }
    }
}
